/*
 * This source file was generated by FireStorm/DAO.
 * 
 * If you purchase a full license for FireStorm/DAO you can customize this header file.
 * 
 * For more information please visit http://www.codefutures.com/products/firestorm
 */

package umgnotas.eis.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/** 
 * This class represents the primary key of the tb_usuario table.
 */
public class TbUsuarioPk implements Serializable
{
	protected String usuCodigo;

	/** 
	 * Sets the value of usuCodigo
	 */
	public void setUsuCodigo(String usuCodigo)
	{
		this.usuCodigo = usuCodigo;
	}

	/** 
	 * Gets the value of usuCodigo
	 */
	public String getUsuCodigo()
	{
		return usuCodigo;
	}

	/**
	 * Method 'TbUsuarioPk'
	 * 
	 */
	public TbUsuarioPk()
	{
	}

	/**
	 * Method 'TbUsuarioPk'
	 * 
	 * @param usuCodigo
	 */
	public TbUsuarioPk(final String usuCodigo)
	{
		this.usuCodigo = usuCodigo;
	}

	/**
	 * Method 'equals'
	 * 
	 * @param _other
	 * @return boolean
	 */
	public boolean equals(Object _other)
	{
		if (_other == null) {
			return false;
		}
		
		if (_other == this) {
			return true;
		}
		
		if (!(_other instanceof TbUsuarioPk)) {
			return false;
		}
		
		final TbUsuarioPk _cast = (TbUsuarioPk) _other;
		if (usuCodigo == null ? _cast.usuCodigo != usuCodigo : !usuCodigo.equals( _cast.usuCodigo )) {
			return false;
		}
		
		return true;
	}

	/**
	 * Method 'hashCode'
	 * 
	 * @return int
	 */
	public int hashCode()
	{
		int _hashCode = 0;
		if (usuCodigo != null) {
			_hashCode = 29 * _hashCode + usuCodigo.hashCode();
		}
		
		return _hashCode;
	}

	/**
	 * Method 'toString'
	 * 
	 * @return String
	 */
	public String toString()
	{
		StringBuffer ret = new StringBuffer();
		ret.append( "umgnotas.eis.dto.TbUsuarioPk: " );
		ret.append( "usuCodigo=" + usuCodigo );
		return ret.toString();
	}

}
